package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.SEnvgasPollutant;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 污染物表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-07-13
 */
public interface SEnvgasPollutantMapper extends BaseMapper<SEnvgasPollutant> {
    List<HashMap<Integer, String>> queryPollutantMap();

    List<Map> selectByDivisorData(@Param("regionCode") String regionCode,@Param("property") String property);

    List<Map<String,Object>> selectBySixApiParam(@Param("maps") List<String> maps);

    Map selectByWind();

    /**
     * 通过名称查询id
     * @param name  名称
     * @return
     */
    Integer findIdByName(@Param("name") String name);

    /**
     * 通过id查询名称
     * @param id    id
     * @return
     */
    String findNameById(@Param("id") Integer id);

    List<Map> selectByParamData(@Param("maps") List<String> maps);

}
